function input_init()

	mo.setVisible(false)
	ke.setKeyRepeat(.1, .1)
end

function input_stream(dt)

	if ke.isDown("r")
	and factor_h/factor_w < 2 then

		camera_rotate(1, dt)

	elseif ke.isDown("e")
	and factor_h/factor_w > 1/2 then

		camera_rotate(-1, dt)
	end
	
	if ke.isDown("t")
	and zoom < 2 then
	
		camera_zoom(1, dt)

	elseif ke.isDown("y")
	and zoom > 1/2 then
	
		camera_zoom(-1, dt)
	end
end

function input_keypressed(key)

	if key == "d" then

		player_move(0, 0, 1)
		
	elseif key == "s" then

		player_move(0, 0, -1)
	end
	
	if key == "right" then

		player_move(1, 0, 0)
		
	elseif key == "left" then

		player_move(-1, 0, 0)
	end
	
	if key == "down" then

		player_move(0, 1, 0)
		
	elseif key == "up" then

		player_move(0, -1, 0)
	end
	
	if key == "escape"
	or key == "return" then
	
		love.event.quit()
	end

	if key == "f" then

		factor_w,
		factor_h,
		factor_z,
		zoom = nil
		
		tile_update()
	end
	
	if key == "g" then
	
		switch_lights = not switch_lights
	end
	
	if key == "h" then
	
		switch_line = not switch_line
	end
	
	if key == "j" then
	
		map_rotate()
	end
end
